"use strict";

module.exports = function (operations) {
	return function wrapPossiblyRemoteFieldName(value) {
		if (value.includes(".")) {
			return operations.remoteField(value);
		} else {
			return operations.field(value);
		}
	};
};
